Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.insurability.schemas.v1
Class InsurancePeriodType

    java.lang.Object
      be.vlaanderen.mercurius.insurability.schemas.v1.InsurancePeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class InsurancePeriodType

extends Object
implements Serializable

Jaar waarvoor

Java class for InsurancePeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurancePeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="CareUnitCode" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}CareUnitCodeType" minOccurs="0"/>
             <element name="InternalDepartment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}StatusType"/>
             <element name="NotInsuredReason" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}NotInsuredReasonType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InsurancePeriodType()`

Method Summary
`String` | `getCareUnitCode()` Gets the value of the careUnitCode property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getInternalDepartment()` Gets the value of the internalDepartment property.
`NotInsuredReasonType` | `getNotInsuredReason()` Gets the value of the notInsuredReason property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`StatusType` | `getStatus()` Gets the value of the status property.
`void` | `setCareUnitCode(String value)` Sets the value of the careUnitCode property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setInternalDepartment(String value)` Sets the value of the internalDepartment property.
`void` | `setNotInsuredReason(NotInsuredReasonType value)` Sets the value of the notInsuredReason property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStatus(StatusType value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurancePeriodType

    public InsurancePeriodType()

Method Detail

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getCareUnitCode

    public String getCareUnitCode()

  Gets the value of the careUnitCode property.

  Returns:
    possible object is `String`

### setCareUnitCode

    public void setCareUnitCode(String value)

  Sets the value of the careUnitCode property.

  Parameters:
    `value` - allowed object is `String`

### getInternalDepartment

    public String getInternalDepartment()

  Gets the value of the internalDepartment property.

  Returns:
    possible object is `String`

### setInternalDepartment

    public void setInternalDepartment(String value)

  Sets the value of the internalDepartment property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public StatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `StatusType`

### setStatus

    public void setStatus(StatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `StatusType`

### getNotInsuredReason

    public NotInsuredReasonType getNotInsuredReason()

  Gets the value of the notInsuredReason property.

  Returns:
    possible object is `NotInsuredReasonType`

### setNotInsuredReason

    public void setNotInsuredReason(NotInsuredReasonType value)

  Sets the value of the notInsuredReason property.

  Parameters:
    `value` - allowed object is `NotInsuredReasonType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.